Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign	(revision 2503)
@@ -1,3 +1,3 @@
-}q(U+bloom_combine_ogl_glsl_fs1x0.s3d_shadercodeq(cSCons.Node.FS
+}q(U*bloom_smooth_ogl_glsl_vs1x0.s3d_shadercodeq(cSCons.Node.FS
 BuildInfo
 qoq}q(U	timestampqJÉEeFUcsigqJÉEeFubU)lightfilter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq	}q
@@ -5,6 +5,6 @@
 (hoq
 }q
-(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU2include_shmap_filter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU+bloom_combine_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_fs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU&standard_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q
-(hJÉEeFhJÉEeFubU"bump_ogl_glsl_vs1x0.s3d_shadercodeq
+(hJÉEeFhJÉEeFubU#black_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU2include_shmap_filter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU+bloom_combine_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_fs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q
+(hJÉEeFhJÉEeFubU&standard_ogl_glsl_vs1x0.s3d_shadercodeq
 (hoq
-}q(hJÉEeFhJÉEeFubU*bloom_smooth_ogl_glsl_vs1x0.s3d_shadercodeq (hoq!}q"(hJÉEeFhJÉEeFubU#black_ogl_glsl_fs1x0.s3d_shadercodeq#(hoq$}q%(hJÉEeFhJÉEeFubU"bump_ogl_glsl_fs1x0.s3d_shadercodeq&(hoq'}q((hJÉEeFhJÉEeFubU$partic_ogl_glsl_fs1x0.s3d_shadercodeq)(hoq*}q+(hJÉEeFhJÉEeFubU*bloom_smooth_ogl_glsl_fs1x0.s3d_shadercodeq,(hoq-}q.(hJÉEeFhJÉEeFubU#plain_ogl_glsl_vs1x0.s3d_shadercodeq/(hoq0}q1(hJÉEeFhJÉEeFubU/gen_shvol_extrude_ogl_glsl_vs1x0.s3d_shadercodeq2(hoq3}q4(hJÉEeFhJÉEeFubU#comic_ogl_glsl_vs1x0.s3d_shadercodeq5(hoq6}q7(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_vs1x0.s3d_shadercodeq8(hoq9}q:(hJÉEeFhJÉEeFubU#shvol_ogl_glsl_vs1x0.s3d_shadercodeq;(hoq<}q=(hJÉEeFhJÉEeFubU#black_ogl_glsl_vs1x0.s3d_shadercodeq>(hoq?}q@(hJÉEeFhJÉEeFubU)lightfilter_ogl_glsl_fs1x0.s3d_shadercodeqA(hoqB}qC(hJÉEeFhJÉEeFubU#comic_ogl_glsl_fs1x0.s3d_shadercodeqD(hoqE}qF(hJÉEeFhJÉEeFubU&standard_ogl_glsl_fs1x0.s3d_shadercodeqG(hoqH}qI(hJÉEeFhJÉEeFubU,gen_shvol_view_ogl_glsl_vs1x0.s3d_shadercodeqJ(hoqK}qL(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_fs1x0.s3d_shadercodeqM(hoqN}qO(hJÉEeFhJÉEeFubU,include_shmap_filter_ogl_glsl.s3d_shadercodeqP(hoqQ}qR(hJÉEeFhJÉEeFubU,include_stddef_ogl_glsl_vs1x0.s3d_shadercodeqS(hoqT}qU(hJÉEeFhJÉEeFubu.
+}q(hJÉEeFhJÉEeFubU"bump_ogl_glsl_vs1x0.s3d_shadercodeq (hoq!}q"(hJÉEeFhJÉEeFubU+bloom_combine_ogl_glsl_fs1x0.s3d_shadercodeq#(hoq$}q%(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_fs1x0.s3d_shadercodeq&(hoq'}q((hJÉEeFhJÉEeFubU"bump_ogl_glsl_fs1x0.s3d_shadercodeq)(hoq*}q+(hJÉEeFhJÉEeFubU$partic_ogl_glsl_fs1x0.s3d_shadercodeq,(hoq-}q.(hJÉEeFhJÉEeFubU*bloom_smooth_ogl_glsl_fs1x0.s3d_shadercodeq/(hoq0}q1(hJÉEeFhJÉEeFubU#plain_ogl_glsl_vs1x0.s3d_shadercodeq2(hoq3}q4(hJÉEeFhJÉEeFubU/gen_shvol_extrude_ogl_glsl_vs1x0.s3d_shadercodeq5(hoq6}q7(hJÉEeFhJÉEeFubU#comic_ogl_glsl_vs1x0.s3d_shadercodeq8(hoq9}q:(hJÉEeFhJÉEeFubU#shvol_ogl_glsl_vs1x0.s3d_shadercodeq;(hoq<}q=(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_vs1x0.s3d_shadercodeq>(hoq?}q@(hJÉEeFhJÉEeFubU)lightfilter_ogl_glsl_fs1x0.s3d_shadercodeqA(hoqB}qC(hJÉEeFhJÉEeFubU#comic_ogl_glsl_fs1x0.s3d_shadercodeqD(hoqE}qF(hJÉEeFhJÉEeFubU&standard_ogl_glsl_fs1x0.s3d_shadercodeqG(hoqH}qI(hJÉEeFhJÉEeFubU,gen_shvol_view_ogl_glsl_vs1x0.s3d_shadercodeqJ(hoqK}qL(hJÉEeFhJÉEeFubU#black_ogl_glsl_fs1x0.s3d_shadercodeqM(hoqN}qO(hJÉEeFhJÉEeFubU,include_shmap_filter_ogl_glsl.s3d_shadercodeqP(hoqQ}qR(hJÉEeFhJÉEeFubU,include_stddef_ogl_glsl_vs1x0.s3d_shadercodeqS(hoqT}qU(hJÉEeFhJÉEeFubu.