Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/stationIllum.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/stationIllum.hlsl	(revision 2474)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/stationIllum.hlsl	(revision 2507)
@@ -15,5 +15,5 @@
 	L = normalize(L);
 		
-#ifdef HIGH_QUALITY
+//#ifdef HIGH_QUALITY
 
 	//Phong-Blinn
@@ -23,5 +23,5 @@
 	
 	float lightAngleCos = cos(70.0 / 180.0 * 3.14);
-	float falloff = (dot(-L, lightDir) - lightAngleCos) / (1.0 - lightAngleCos);
+	float falloff = (max(dot(-L, lightDir), 0) - lightAngleCos) / (1.0 - lightAngleCos);
 	falloff = pow(saturate(falloff), 2);
 	
@@ -31,9 +31,9 @@
 			 ;
 			 
-#else
+//#else
 
-	return 	lightColor * diffuseColor * dot(L,N) * pow(max(dot(-L, lightDir),0),9) / (3*d*d);
+//	return 	lightColor * diffuseColor * dot(L,N) * pow(max(dot(-L, lightDir),0),9) / (3*d*d);
 	
-#endif	
+//#endif	
 }
 
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/scientist.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/scientist.material	(revision 2489)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/scientist.material	(revision 2507)
@@ -77,5 +77,5 @@
 	}
 }
-
+		
 material scientist_body : scientist_base
 {
@@ -149,9 +149,77 @@
 
 
-		
-		
-
-	
-	
-	
-	
+material scientist_base1
+{
+	technique main
+	{		
+		pass direct
+		{
+			ambient 0 0 0 1
+			diffuse 0.3 0.3 0.3 1
+			specular 0 0 0 0
+			texture_unit color
+			{
+				
+
+			}
+		}
+	}
+}
+		
+material scientist_body1 : scientist_base
+{
+	technique main
+	{
+		pass direct
+		{
+			texture_unit color
+			{
+				texture scientist_body.bmp				
+			}
+		}
+
+	}
+
+}
+
+material scientist_glass1 : scientist_base
+{
+	technique main
+	{
+		pass direct 
+		{
+			texture_unit color
+			{
+				texture scientist_chrome.bmp
+			}
+		}
+
+	}
+
+}
+
+material scientist_head1 : scientist_base
+{
+	technique main
+	{
+		pass direct
+		{
+			texture_unit color
+			{
+				texture scientist_head.bmp
+			}
+		}
+
+	}	
+
+}
+
+
+
+		
+		
+
+	
+	
+	
+	
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/StationBase.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/StationBase.hlsl	(revision 2474)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/Station/StationBase.hlsl	(revision 2507)
@@ -201,5 +201,6 @@
 	float4 diffuseColor = tex2D(colorTexture, IN.texCoord);
 	float4 obscurancescolor = tex2D(obscuranceTexture, IN.texCoord);
-	float4 combinedColor = diffuseColor * obscurancescolor;
+	//float4 combinedColor = diffuseColor * obscurancescolor;
+	float4 combinedColor = diffuseColor;
 	
 	//----------------------------------------------------------------------------------------------------------------
@@ -243,5 +244,6 @@
 	float4 indirect = PathMapIndirect(PathMap, WeightIndexMap, WeightMap, IN.texCoord);
 	indirect *= diffuseColor;
-	Color = Color + indirect;
+	Color = Color + indirect * 1.5;
+	//Color = Color + diffuseColor * 0.1;
 	
 	if(causticReceiver)
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2442)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2507)
@@ -12,7 +12,7 @@
 };
 
-#define DEPTH_BIAS      0.001
-#define DEPTH_BIAS_VSM  0.001
-#define DEPTH_EPSILON   0.05
+#define DEPTH_BIAS      0.01
+#define DEPTH_BIAS_VSM  0.00005
+#define DEPTH_EPSILON   0.01
 #define DIST_BIAS       0.005
 #define DIST_BIAS_VSM   0.0005
@@ -21,5 +21,5 @@
 //#define shadowColor float4(0.95,0.95,0.95,1)
 #define shadowColor float4(0.8,0.8,0.8,1)
-//#define shadowColor float4(0.2,0.2,0.2,1)
+#define shadowColor2 float4(0.2,0.2,0.2,1)
 //#define shadowColor float4(0.0,0.0,0.0,1)
 
@@ -37,5 +37,5 @@
 	float storedDepth = abs(tex2D(shadowMap, pos.xy).r);
 	//light = (pos.z - storedDepth.r)*100.0;
-	light = max(storedDepth + DEPTH_BIAS > pos.z, shadowColor);			
+	light = max(storedDepth + DEPTH_BIAS > pos.z, shadowColor2);			
   }		
   return light;	
@@ -70,5 +70,5 @@
    light = 0;	
 	
-  return shadowColor + (1 - shadowColor) * light;	
+  return light;	
   
 }
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/Towers/towers.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/Towers/towers.material	(revision 2441)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/Towers/towers.material	(revision 2507)
@@ -174,5 +174,5 @@
 					max_light_count 1
 					vertex_program_name GTP/Basic/LightVPos_VS
-					fragment_program_name GTP/Basic/SM/Depth_PS
+					fragment_program_name GTP/Basic/SM/Depth_VSM_PS
 					set_light_viewproj true
 					set_light_view false