Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader	(revision 2503)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader	(revision 2508)
@@ -2973,5 +2973,5 @@
                 destprop_antialias 0
                 mesh_var "mesh"
-                update_interval 6
+                update_interval 1
                 update_all_face 0
                 start_frame 1
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode	(revision 2508)
@@ -37,6 +37,7 @@
 
 float d = 1.0 - saturate(length(input.center - screen) / input.radius);
+d= d*d;
+d*=0.00085;
 //d= d*d;
-d*=0.0035;
 output.color = float4(d, d, d, 1);
 //output.color = float4(screen.x, 0, 0, 1);
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode	(revision 2508)
@@ -32,5 +32,5 @@
 VS_OUTPUT main(VS_INPUT input)
 {
-    float pointSize = 20;
+    float pointSize = 40;
     float resolution = 128;
     
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode	(revision 2508)
@@ -30,5 +30,6 @@
 {
 //return 0.1;
- return  texCUBE(cauSamp, input.dir); 
+float worldSize = 1.5;
+ return  texCUBE(cauSamp, input.dir) * (1.0 - saturate((length(input.dir) - worldSize) / worldSize)); 
 }
 
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign	(revision 2503)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/ogl_glsl/.sconsign	(revision 2508)
@@ -2,8 +2,8 @@
 BuildInfo
 qoq}q(U	timestampqJÉEeFUcsigqJÉEeFubU)lightfilter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq	}q
-(hJÉEeFhJÉEeFubU$partic_ogl_glsl_vs1x0.s3d_shadercodeq
+(hJÉEeFhJÉEeFubU#black_ogl_glsl_vs1x0.s3d_shadercodeq
 (hoq
 }q
-(hJÉEeFhJÉEeFubU#black_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU2include_shmap_filter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU+bloom_combine_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_fs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q
+(hJÉEeFhJÉEeFubU$partic_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU*bloom_bright_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU2include_shmap_filter_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU+bloom_combine_ogl_glsl_vs1x0.s3d_shadercodeq(hoq}q(hJÉEeFhJÉEeFubU-gen_brightclear_ogl_glsl_fs1x0.s3d_shadercodeq(hoq}q
 (hJÉEeFhJÉEeFubU&standard_ogl_glsl_vs1x0.s3d_shadercodeq
 (hoq
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode_run
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode_run	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_vs3x0.s3d_shadercode_run	(revision 2508)
@@ -32,5 +32,5 @@
 VS_OUTPUT main(VS_INPUT input)
 {
-    float pointSize = 20;
+    float pointSize = 40;
     float resolution = 128;
     
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode_run
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode_run	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_recieve_d3d9_hlsl_ps2x0.s3d_shadercode_run	(revision 2508)
@@ -30,5 +30,6 @@
 {
 //return 0.1;
- return  texCUBE(cauSamp, input.dir); 
+float worldSize = 1.5;
+ return  texCUBE(cauSamp, input.dir) * (1.0 - saturate((length(input.dir) - worldSize) / worldSize)); 
 }
 
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode_run
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode_run	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/prog/d3d9_hlsl/gtp_caustic_cubemap_point_d3d9_hlsl_ps3x0.s3d_shadercode_run	(revision 2508)
@@ -37,6 +37,7 @@
 
 float d = 1.0 - saturate(length(input.center - screen) / input.radius);
+d= d*d;
+d*=0.00085;
 //d= d*d;
-d*=0.0035;
 output.color = float4(d, d, d, 1);
 //output.color = float4(screen.x, 0, 0, 1);
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run	(revision 2503)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run	(revision 2508)
@@ -2973,5 +2973,5 @@
                 destprop_antialias 0
                 mesh_var "mesh"
-                update_interval 6
+                update_interval 1
                 update_all_face 0
                 start_frame 1