Index: GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/include/ShadowDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/include/ShadowDemo.h	(revision 2493)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/include/ShadowDemo.h	(revision 2509)
@@ -93,6 +93,6 @@
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Basic");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("PostProc");
-		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_PathMap");
-		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_PathMapDemo");
+		//ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_PathMap");
+		//ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_PathMapDemo");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Demo_Towers");
 	}
@@ -176,5 +176,5 @@
 		OgreIlluminationManager::getSingleton().initTechniques();
    }*/
-/*
+
 	void createScene(void) ///TOWERS
     {
@@ -190,10 +190,10 @@
 		OgreIlluminationManager::getSingleton().setFocusingSM(true);
 	   OgreIlluminationManager::getSingleton().setBlurShadowMap(true);
-	   OgreIlluminationManager::getSingleton().setUseLISPSM(false);
+	   OgreIlluminationManager::getSingleton().setUseLISPSM(true);
 				
 		Root::getSingleton()._setCurrentSceneManager(mSceneMgr);
-		mCamera->setPosition(0,0,0);
+		mCamera->setPosition(-10,20,-20);
 		//mCamera->setPosition(0,100,0);
-		//mCamera->lookAt(0,-1,0);
+		mCamera->lookAt(10,0,20);
 		mCamera->setFOVy(Radian(Degree(80)));
 		mCamera->setNearClipDistance(0.01);
@@ -227,6 +227,6 @@
 		
 		OgreIlluminationManager::getSingleton().initTechniques();
-   }*/
-
+   }
+/*
 	void createScene(void) ///PATHMAP Hangar
 	{ 
@@ -305,5 +305,5 @@
 		OgreIlluminationManager::getSingleton().initTechniques();
    }
-	
+*/	
 	void createPlane(Ogre::String _name, Ogre::String _material, Ogre::Vector3 _pos, Ogre::Vector2 _size, Ogre::Vector2 _subdivisions = Ogre::Vector2(1,1)) 
 	{
Index: GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/scripts/ShadowDemo.7.10.vcproj
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/scripts/ShadowDemo.7.10.vcproj	(revision 2493)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/scripts/ShadowDemo.7.10.vcproj	(revision 2509)
@@ -36,5 +36,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="OgreMain_d.lib IllumModule_Ogre.lib IllumModule.lib"
-				OutputFile="$(OutDir)/PRMDemo.exe"
+				OutputFile="$(OutDir)/ShadowMapDemo.exe"
 				LinkIncremental="2"
 				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Debug;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Debug"
@@ -102,5 +102,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib"
-				OutputFile="$(OutDir)/PRMDemo.exe"
+				OutputFile="$(OutDir)/ShadowMapDemo.exe"
 				LinkIncremental="1"
 				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Release;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Release"
@@ -140,8 +140,14 @@
 			Name="Source Files"
 			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
+			<File
+				RelativePath="..\src\ShadowDemo.cpp">
+			</File>
 		</Filter>
 		<Filter
 			Name="Header Files"
 			Filter="h;hpp;hxx;hm;inl;inc">
+			<File
+				RelativePath="..\include\ShadowDemo.h">
+			</File>
 		</Filter>
 		<Filter
Index: GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/src/ShadowDemo.cpp
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/src/ShadowDemo.cpp	(revision 2493)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/ShadowDemo/src/ShadowDemo.cpp	(revision 2509)
@@ -27,5 +27,5 @@
 #endif
 
-#include "PRMDemo.h"
+#include "ShadowDemo.h"
 
 #ifdef __cplusplus
Index: GTP/trunk/App/Demos/Illum/Ogre/src/SpaceStation/include/SpaceStation.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/SpaceStation/include/SpaceStation.h	(revision 2491)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/SpaceStation/include/SpaceStation.h	(revision 2509)
@@ -107,4 +107,13 @@
 			animState->setEnabled(true);
 			animState->setLoop(true);
+			
+			Vector3 look = FPSPlayer::thePlayer->getPosition() - pos;
+			look.y = 0;
+			look.normalise();
+			Vector3 right = -look.crossProduct(Vector3::UNIT_Y);
+			Quaternion q; 			
+			q.FromAxes(right,Vector3::UNIT_Y, look);
+			mNode->setOrientation(q);
+
 		}
 				
@@ -112,5 +121,5 @@
 		{
 			//move forward to target
-			mNode->translate(movespeed * 0.1 * Vector3(0,0,1), Node::TS_LOCAL);
+			mNode->translate(movespeed * evt.timeSinceLastFrame * 2 * Vector3(0,0,1), Node::TS_LOCAL);
 		}
 		else