Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh	(revision 2073)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh	(revision 2530)
@@ -40,5 +40,5 @@
    -hierarchy_subdivision_stats=$LOG_PREFIX-hierarchy-subdivisionStats.log \
    -hierarchy_construction_type=0 \
-   -hierarchy_construction_consider_memory=true
+   -hierarchy_construction_consider_memory=false
 
 #   -bvh_term_max_leaves=10000 \
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_cropped_gi.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_cropped_gi.env	(revision 1919)
+++ 	(revision )
@@ -1,345 +1,0 @@
-##############################################################################
-# ERS default configuration file
-# Jiri Bittner 2003
-#############################################################################
-
-Scene {
-
-#	filename glasgow1.x3d
-#	filename vienna.x3d
-#	filename ../data/vienna/vienna-simple.x3d
-#	filename ../data/vienna/vienna-buildings.x3d
-#	filename ../data/vienna/vienna-roofs.x3d
-#	filename ../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d
-#	filename ../data/vienna/vienna-buildings_vienna-roofs_vienna-roads_vienna-plane_cropped.obj
-	filename ../data/vienna/vienna_cropped.obj
-#	filename ../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d;../data/vienna/vienna-plane.x3d
-#	filename ../data/vienna/viewcells-25-sel.x3d
-#	filename ../data/atlanta/atlanta2.x3d
-#	filename ../data/soda/soda.dat
-#	filename ../data/soda/soda5.dat
-#	filename ../data/artificial/cube_test.x3d
-#	filename ../data/grandcanyon1_RotXmin90.obj
-#	filename ../data/CityModel.obj
-#	filename ../data/arena/arena-high-lods.obj
-}
-
-
-Preprocessor {
-	samplesFilename rays.out
-#	useGlRenderer true
-	useGlRenderer false
-	type vss
-	detectEmptyViewSpace true
-	loadMeshes false
-	# internal raycaster
-	#rayCastMethod 0
-	# intel raycaster
-	rayCastMethod 1
-	exportVisibility false
-	loadKdTree false
-	exportKdTree false 
-	applyVisibilityFilter false
-	applyVisibilitySpatialFilter false
-
-	histogram {
-		intervals 20
-	}
-}
-
-
-VssPreprocessor {
-	initialSamples 0
-	vssSamples 0
-	useImportanceSampling true
-	loadInitialSamples  false
-	storeInitialSamples false
-}
-
-
-VssTree {
-	useRss    false
-	epsilon		1e-6
-	
-	maxDepth 	2
-	minPvs		30
-	minRays		800
-	minSize		0.001
- 	maxCostRatio	1.5
-	maxRayContribution 0.5
-		
-	maxTotalMemory	50
-	maxStaticMemory	20
-	
-	splitType regular
-	#	splitType heuristic
-	#	splitType hybrid
-	splitUseOnlyDrivingAxis true
-	
-	interleaveDirSplits	true
-    	dirSplitDepth 0
-	
-	numberOfEndPointDomains	10000
-	ct_div_ci	0.0
-	randomize	false
-	
-	refDirBoxMaxSize	0.1
-}
-
-
-Limits {
-       threshold	1e-6
-       small		1e-6
-       infinity		1e9
-}
-
-
-Unigraphics {
-	meshGrouping 1
-}
-
-
-KdTree {
-	sahUseFaces true
-
-	Termination {
-		minCost 0
-		maxDepth 20
-		
-		maxCostRatio 1.5
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-MeshKdTree {
-	Termination {
-		minCost 1
-		maxDepth 18
-		maxCostRatio 0.9
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-
-ViewCells {
-	
-	# samples used for view cell construction 
-	# (after the sampling used for the hierarchy)
-	Construction {
-		samples 0
-		samplesPerPass 1000000
-	}
-
-	# number of active view cells
-	active 25000
-	maxStaticMemory	40
-
-	exportToFile true
-	loadFromFile false
-
-	exportPvs false
-
-	# type of view cells
-	type vspOspTree
-	
-	compressObjects true
-
-	#percentage of total visible objects where pvs is considered invalid
-	maxPvsRatio 1.0
-		
-	processOnlyValidViewCells false
-
-	#samplingType object_directional
-	#samplingType directional
-	samplingType box
-	#samplingType reverse_object
-	#samplingType object
-
-	PostProcess {
-		# how much samples are used for post processing
-		samples 0
-		maxMergesPerPass 5000
-		useRaysForMerge false
-		refine false
-		compress true
-		merge false
-	}
-
-	Visualization {
-		# how much samples we use for visualization
-		samples 200
-		exportRays true
-		exportGeometry true
-		exportMergedViewCells false
-		useClipPlane true
-		clipPlaneAxis 1
-		clipPlanePos 0.3
-		maxOutput 0
-	}
-
-	showVisualization true
-	#showVisualization false
-	evaluateViewCells true
-	
-	Evaluation {
-		samples         160000000
-		samplesForStats 80000000
-
-		#samples         60000000
-		#samplesForStats 20000000
-
-		samplesPerPass  1000000
-		
-		stepSize	500
-
-		#samplingType object_directional
-		#samplingType reverse_object
-		#samplingType object
-		samplingType box
-
-		histogram true
-		histoStepSize 200
-		histoMem 60
-
-		statsPrefix ../scripts/viewCells
-	}
-}
-
-
-################################
-#
-# View space partitioning kd tree
-#
-
-VspTree {
-	Construction {
-		renderCostDecreaseWeight 0.999
-	}
-
-	Termination {
-		minPvs 0
-		maxViewCells 500000
-	}
-
-	#useCostHeuristics true
-	#splitUseOnlyDrivingAxis true
-
-	useCostHeuristics false
-	splitUseOnlyDrivingAxis false
-
-	# maximum number of tests per node
-	maxTests 500000
-}
-
-
-##########################
-#
-# The bounding volume hierarchy
-#
-
-BvHierarchy {
-
-	Construction {		
-		renderCostDecreaseWeight 0.999
-	}
-
-	Termination {
-		maxLeaves 50000000
-	}
-
-	minRaysForVisibility 15
-
-	# use only surface area heuristic	
-	useCostHeuristics true
-	#useCostHeuristics false
-	useSah true
-
-	#splitUseOnlyDrivingAxis true
-	splitUseOnlyDrivingAxis false
-
-	maxTests 500000
-}
-
-
-###############################################################
-#
-# Manages the construction of view space and object space partition
-#
-
-Hierarchy {
-	# the type of object space partition: view space is always vsp (=kd) partition
-	type bvh
-	
-	Construction {
-
-		samples 6000000
-
-		# type 0 = sequential computation, 1 = interleaved, 2 = gradient
-		type 1
-
-		# if the object space should be subdivided first (if false, the view space is subdivided first)
-		startWithObjectSpace true
-
-		###############################
-		# only for interleaved method
-
-		# if dirty split candidates are reevaluated 
-		repairQueue true
-
-		# recompute split plane when "repairing" a candidate
-		recomputeSplitPlaneOnRepair true
-
-		###################################################
-
-		# iterative construction of vs partititon and os partition
-		useMultiLevel false
-
-		# number of iteration steps
-		levels 3
-
-		# minimal steps of same type: for interleaved, this is only valid for the first few splits
-		minStepsOfSameType 100
-		maxStepsOfSameType 900
-
-		maxAvgRayContri 9999
-		minAvgRayContri 9900
-
-		maxRepairs 2000
-	}
-
-	Termination {
-		# maximal number of leaves
-		maxLeaves 300000
-		# maximal memory in MB
-		#maxMemory 20
-		maxMemory 35
-		# minimum ratio of global cost decrease
-		minGlobalCostRatio -1
-	}
-}
-
-
-VspBspTree {
-	Construction {
-		samples 100000
-	}
-
-	Termination {
-		minPvs 0
-		maxViewCells 1000
-	}
-
-	useCostHeuristics true
-	splitUseOnlyDrivingAxis false
-
-	# maximum number of tests per node
-	maxTests 100000
-}
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/vsposp_typical.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/vsposp_typical.env	(revision 1727)
+++ 	(revision )
@@ -1,295 +1,0 @@
-##############################################################################
-# ERS default configuration file
-# Jiri Bittner 2003
-#############################################################################
-
-Scene {
-
-#	filename glasgow1.x3d
-#	filename vienna.x3d
-#	filename ../data/vienna/vienna-simple.x3d
-#	filename ../data/vienna/vienna-buildings.x3d
-#	filename ../data/vienna/vienna-roofs.x3d
-#	filename ../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d
-#;../data/vienna/vienna-plane.x3d
-#	filename ../data/vienna/viewcells-25-sel.x3d
-#	filename ../data/atlanta/atlanta2.x3d
-#	filename ../data/soda/soda.dat
-	filename ../data/soda/soda5.dat
-#	filename ../data/artificial/cube_test.x3d
-#	filename ../data/grandcanyon1_RotXmin90.obj
-#	filename ../data/CityModel.obj
-}
-
-
-Preprocessor {
-	samplesFilename rays.out
-#	useGlRenderer true
-	useGlRenderer false
-	type vss
-	detectEmptyViewSpace true
-	loadMeshes false
-	# internal raycaster
-	rayCastMethod 0
-	exportVisibility false
-	loadKdTree false
-	exportKdTree false 
-}
-
-
-VssPreprocessor {
-	initialSamples 0
-	vssSamples 0
-	useImportanceSampling true
-	loadInitialSamples  false
-	storeInitialSamples false
-	useViewSpaceBox false
-}
-
-
-VssTree {
-	useRss    false
-	epsilon		1e-6
-	
-	maxDepth 	2
-	minPvs		30
-	minRays		800
-	minSize		0.001
- 	maxCostRatio	1.5
-	maxRayContribution 0.5
-		
-	maxTotalMemory	50
-	maxStaticMemory	20
-	
-	splitType regular
-	#	splitType heuristic
-	#	splitType hybrid
-	splitUseOnlyDrivingAxis true
-	
-	interleaveDirSplits	true
-    dirSplitDepth 0
-	
-	numberOfEndPointDomains	10000
-	ct_div_ci	0.0
-	randomize	false
-	
-	refDirBoxMaxSize	0.1
-}
-
-
-Limits {
-       threshold	1e-6
-       small		1e-6
-       infinity		1e9
-}
-
-
-Unigraphics {
-	meshGrouping 1
-}
-
-
-KdTree {
-	sahUseFaces true
-
-	Termination {
-		minCost 0
-		maxDepth 20
-		
-		maxCostRatio 1.5
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-MeshKdTree {
-	Termination {
-		minCost 1
-		maxDepth 18
-		maxCostRatio 0.9
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-
-ViewCells {
-	
-	# samples used for view cell construction 
-	# (after the sampling used for the hierarchy)
-	Construction {
-		samples 0
-		samplesPerPass 1000000
-	}
-
-	# number of active view cells
-	active 25000
-	maxStaticMemory	40
-
-	exportToFile false
-	loadFromFile false
-
-	type vspOspTree
-	
-	#percentage of total visible objects where pvs is considered invalid
-	maxPvsRatio 1.0
-		
-	processOnlyValidViewCells false
-
-	#stats viewCellStats.log
-	#samplingType directional
-	samplingType box
-
-	PostProcess {
-		# how much samples are used for post processing
-		samples 0
-		maxMergesPerPass 5000
-		useRaysForMerge false
-		refine false
-		compress false
-		merge false
-	}
-
-	Visualization {
-		# how much samples we use for visualization
-		samples 200
-		exportRays true
-		exportGeometry true
-		exportMergedViewCells false
-		useClipPlane true
-		clipPlaneAxis 1
-		clipPlanePos 0.3
-		maxOutput 2
-	}
-
-	showVisualization true
-	evaluateViewCells true
-	
-	Evaluation {
-		samplesPerPass 10000
-		samples 50000
-		statsPrefix ../scripts/viewCells
-	}
-}
-
-
-################################
-#
-# View space partitioning kd tree
-#
-
-VspTree {
-	Construction {
-	}
-
-	Termination {
-		minPvs 0
-		maxViewCells 500000
-	}
-
-	useCostHeuristics true
-	splitUseOnlyDrivingAxis false
-
-	# maximum number of tests per node
-	maxTests 30000
-}
-
-
-##########################
-#
-# The bounding volume hierarchy
-#
-
-BvHierarchy {
-
-	Construction {
-		
-	}
-
-	Termination {
-		maxLeaves 500000
-	}
-
-	useCostHeuristics true
-	splitUseOnlyDrivingAxis false
-
-	maxTests 30000
-}
-
-
-###############################################################
-#
-# Manages the construction of view space and object space partition
-#
-
-Hierarchy {
-	# the type of object space partition: view space is always vsp (=kd) partition
-	type bvh
-	
-	Construction {
-
-		samples 20000
-
-		# type 0 = sequential computation, 1 = interleaved, 2 = gradient
-		type 1
-
-		# if the object space should be subdivided first (if false, the view space is subdivided first)
-		startWithObjectSpace true
-
-		###############################
-		# only for interleaved method
-
-		# if dirty split candidates are reevaluated 
-		repairQueue true
-
-		# recompute split plane when "repairing" a candidate
-		recomputeSplitPlaneOnRepair true
-
-		###################################################
-
-		# iterative construction of vs partititon and os partition
-		useMultiLevel false
-
-		# number of iteration steps
-		levels 3
-
-		# minimal steps of same type: for interleaved, this is only valid for the first few splits
-		minStepsOfSameType 100
-
-		# maximal number of repairs
-		maxRepairs 1000
-	}
-
-	Termination {
-		# maximal number of leaves
-		maxLeaves 2000000
-		# maximal memory in MB
-		maxMemory 1
-		# minimum ratio of global cost decrease
-		minGlobalCostRatio -1
-	}
-}
-
-
-VspBspTree {
-	Construction {
-		samples 100000
-	}
-
-	Termination {
-		minPvs 0
-		maxViewCells 1000
-	}
-
-	useCostHeuristics true
-	splitUseOnlyDrivingAxis false
-
-	# maximum number of tests per node
-	maxTests 100000
-}
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_simple.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_simple.env	(revision 955)
+++ 	(revision )
@@ -1,484 +1,0 @@
-#############################################################################
-# ERS default configuration file
-# Jiri Bittner 2003
-#############################################################################
-
-Scene {
-#	filename glasgow1.x3d
-#	filename vienna.x3d
-#	filename ../data/vienna/vienna-simple.x3d
-#	filename ../data/vienna/vienna-buildings.x3d
-	filename ../data/vienna/city1500_flat_1.x3d
-#	filename ../data/vienna/vienna-buildings.x3d;../data/vienna-roads.x3d;../data/vienna/vienna-roofs.x3d
-#filename ../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d
-filename ../data/vienna/city1500_flat_1.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d
-#filename ../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d;../data/vienna/vienna-plane.x3d
-#filename ../data/vienna/city1500_flat_1.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d;../data/vienna/vienna-plane.x3d
-#	filename ../data/vienna/viewcells-25-sel.x3d
-#	filename ../data/atlanta/atlanta2.x3d
-#	filename ../data/soda/soda.dat
-#	filename ../data/soda/soda5.dat
-}
-
-Preprocessor {
-	# stored sample rays
-	samplesFilename rays.out
-	useGlRenderer false
-#	type sampling
-	type vss
-#	type rss
-	detectEmptyViewSpace true
-	loadPolygonsAsMeshes false
-	applyVisibilityFilter false
-	applyVisibilitySpatialFilter false
-}
-
-VssPreprocessor {
-	samplesPerPass  100000
-	initialSamples 0
-	vssSamples 0
-	vssSamplesPerPass 500000
-	useImportanceSampling true
-	loadInitialSamples  false
-	storeInitialSamples false
-	useViewSpaceBox false
-#	testBeamSampling true
-}
-
-
-SamplingPreprocessor {
-	totalSamples 500000
-	samplesPerPass  3
-}
-
-
-VssTree {
-	useRss    false
-	epsilon		1e-6
-	
-	maxDepth 	40
-	minPvs		30
-	minRays		800
-	minSize		0.001
- 	maxCostRatio	1.5
-	maxRayContribution 0.5
-		
-	maxTotalMemory	50
-	maxStaticMemory	20
-	
-	splitType regular
-	#	splitType heuristic
-	#	splitType hybrid
-	splitUseOnlyDrivingAxis true
-	
-	interleaveDirSplits	true
-    dirSplitDepth 0
-	
-	numberOfEndPointDomains	10000
-	ct_div_ci	0.0
-	randomize	false
-	
-	refDirBoxMaxSize	0.1
-}
-
-RssPreprocessor {
-	samplesPerPass  100000
-	#initialSamples 500000
-	#vssSamples 10000000
-	#for view cell construction
-	initialSamples 0
-	vssSamples 0
-	vssSamplesPerPass 500000
-	useImportanceSampling true
-
-	directionalSampling true
-	objectBasedSampling false
-
-	Export {
-		pvs false
-		rssTree false
-		rays true
-		numRays 5000
-	}
-
-	useViewcells true
-	updateSubdivision true
-	loadInitialSamples false
-	storeInitialSamples false
-}
-
-
-RssTree {
-
-	epsilon		1e-6
-
-	maxDepth 	40
-	minPvs		3
-	minRays		30
-	minSize		0.001
- 	maxCostRatio 1.0
-	maxRayContribution 0.5
-	maxRays		1000000
-	maxTotalMemory	200
-	maxStaticMemory	100
-
-#	splitType regular
-#	splitType heuristic
-	splitType hybrid
-	splitUseOnlyDrivingAxis true
-	importanceBasedCost false
-
-	interleaveDirSplits	true
-    dirSplitDepth 0
-
-	numberOfEndPointDomains	10000
-	ct_div_ci	0.0
-	randomize	false
-
-	refDirBoxMaxSize	0.1
-}
-
-Limits {
-
-       threshold	1e-6
-       small		1e-6
-       infinity		1e9
-}
-
-Unigraphics {
-		meshGrouping 1
-}
-
-KdTree {
-	sahUseFaces true
-	Termination {
-		minCost 1
-		maxDepth 18
-		maxCostRatio 0.9
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-MeshKdTree {
-	Termination {
-		minCost 1
-		maxDepth 18
-		maxCostRatio 0.9
-		ct_div_ci 0.5
-	}
-
-#	splitMethod spatialMedian
-	splitMethod SAH
-	splitBorder 0.01
-}
-
-
-
-ViewCells {
-	# samples used for view cell construction
-	Construction {
-		samples 0
-		samplesPerPass 1500000
-	}
-
-	#number of active view cells
-	active 200000
-	maxStaticMemory	40
-
-	exportToFile true
-	loadFromFile false
-
-	#type kdTree
-	#type vspKdTree
-	#type bspTree
-	type vspBspTree
-	#type sceneDependent
-	
-	height 5.0
-	maxViewCells 3000
-
-	#percentage of total visible objects where pvs is considered invalid
-	maxPvsRatio 1.0
-		
-	pruneEmptyViewCells false
-	processOnlyValidViewCells false
-
-	#stats viewCellStats.log
-
-	#samplingType directional
-	samplingType box
-
-	PostProcess {
-		# how much samples are used for post processing
-		samples 0
-		renderCostWeight 1.0
-		maxCostRatio 0.1
-		minViewCells 1
-		avgCostMaxDeviation 0.01
-		maxMergesPerPass 5000
-		useRaysForMerge false
-		refine false
-		compress false
-		merge true
-		emptyViewCellsMerge false
-	}
-
-	Visualization {
-		# how much samples we use for visualization
-		samples 0
-		#colorCode PVS
-		#colorCode MergedLeaves
-		#colorCode MergedTreeDiff
-		colorCode Random
-		exportRays false
-		exportGeometry true
-		exportMergedViewCells false
-		useClipPlane true
-		clipPlaneAxis 1
-		clipPlanePos  0.3
-	}
-
-	showVisualization true
-	evaluateViewCells false
-	
-	Evaluation {
-		samplesPerPass 1000000
-		samples 1000000
-		statsPrefix ../scripts/viewCells
-		#samplingType directional
-		samplingType box
-		histogram true
-		histoPasses 5000
-	}
-
-#	filename ../data/atlanta/atlanta_viewcells_large.x3d
-#	filename ../data/vienna/viewcells-25-sel.x3d
-#	filename ../data/vienna/viewcells-25.x3d
-#	filename ../data/vienna/viewcells-large-sel.x3d
-#	filename ../scripts/viewcells_vienna.xml
-	filename D:/svn/gametools/GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_visibility.xml
-}
-
-
-Simulation {
-	objRenderCost 1.0
-	vcOverhead 1.0
-	# always between 0 and 1
-	moveSpeed 0.0001
-}
-
-
-VspKdTree {
-	epsilon		1e-6
-
-	Construction {
-		samples 500000
-	}
-	
-	Termination {
-		maxDepth	 	40
-		minPvs			0
-		minRays			1
-		minSize			0.001
-		maxCostRatio		5.9
-		maxViewCells		169
-		missTolerance		4
-		maxRayContribution 	2.5
-	}
-	
-	maxTotalMemory	100
-	maxStaticMemory	40
-
-	splitType 	regular
-	#splitType 	heuristics
-	splitUseOnlyDrivingAxis true
-	ct_div_ci	0.0
-	
-	PostProcess {
-		maxCostRatio 0.005
-		minViewCells 10000
-		maxPvsSize   5000
-	}
-	
-	
-	Visualization {
-	}
-}
-
-VspBspTree {
-	Construction {
-		samples 500000
-		epsilon 0.0000001
-		randomize false
-		renderCostWeight 1.0
-	}
-
-
-	# random polygon       = 1
-	# axis aligned         = 2
-	# least ray splits     = 256
-	# balanced rays        = 512
-	# pvs                  = 1024
-	
-	splitPlaneStrategy 1026
-	
-	# maximal candidates for split planes
-	maxPolyCandidates 0
-
-	usePolygonSplitIfAvailable false
-
-	# maximal tested rays for split cost heuristics
-	maxTests 10000
-	
-	maxTotalMemory	50
-	maxStaticMemory	50
-
-	subdivisionStats ../subdivisionStats.log
-
-	# factors for evaluating split plane costs
-	Factor {
-		leastRaySplits 1.0
-	  	balancedRays 1.0
-	  	pvs 1.0
-	}
-	
-	Termination {
-		# parameters used for autopartition
-		minRays 		-15
-		minPolygons 		-1
-		maxDepth		25
-		minPvs 			0
-		minProbability		0.000001
-		maxRayContribution	1
-		maxCostRatio		0.9
-		missTolerance		6
-		globalCostMissTolerance 4
-		minGlobalCostRatio      0.0000001
-		#minGlobalCostRatio      0.0001
-		maxViewCells		5000
-	
-
-		# used for pvs criterium
-		ct_div_ci 0.0
-		
-		AxisAligned {
-			minRays 		50000
-			maxRayContribution	9.9
-		}
-	}
-	
-	useSplitCostQueue true
-	useCostHeuristics false
-
-	splitUseOnlyDrivingAxis false
-	simulateOctree false
-	useRandomAxis false
-	usePolygonSplitIfAvailable false
-	nodePriorityQueueType 0
-
-	Visualization {
-		# x3d visualization of the split planes
-		exportSplits false
-	}
-}
-
-BspTree {
-	Construction {
-		samples 100000
-		epsilon 0.005
-	}
-
-
-	# random polygon       = 1
-	# axis aligned         = 2
-	# least splits         = 4
-	# balanced polygons    = 8
-	# balanced view cells  = 16
-	# largest polygon area = 32
-	# vertical axis        = 64
-	# blocked rays         = 128
-	# least ray splits     = 256
-	# balanced rays        = 512
-	# pvs                  = 1024
-
-	# least splits + balanced polygons
-	#splitPlaneStrategy 12
-	
-	#axis aligned + vertical axis
-	#splitPlaneStrategy 66
-	
-	# axis aligned + balanced view cells
-	# splitPlaneStrategy 18
-	
-	# largest polygon area
-	#splitPlaneStrategy 32
-	
-	# axus aligned + balanced polygons
-	#splitPlaneStrategy 72
-	
-	# axis aligned + blocked rays
-	#splitPlaneStrategy 130
-	
-	#splitPlaneStrategy 384
-	#splitPlaneStrategy 130
-	
-	splitPlaneStrategy 32
-	
-	maxPolyCandidates 100
-	maxRayCandidates 0
-	
-	maxTests 10000
-	
-	subdivisionStats ../subDivisionStats.log
-
-	# factors for evaluating split plane costs
-	Factor {
-		verticalSplits 1.0
-	  	largestPolyArea 1.0
-	  	blockedRays 1.0
-	  	leastRaySplits 1.0
-	  	balancedRays 1.0
-	  	pvs 1.0
-	  	leastSplits 1.0
-	  	balancedPolys 1.0
-	  	balancedViewCells 1.0
-	}
-	
-	Termination {
-		# parameters used for autopartition
-		minRays -1
-		minPolygons 0
-		maxDepth 30
-		minPvs -1
-		minProbability 0.00001
-		maxRayContribution 9999
-		maxViewCells 50000
-
-		# used for pvs criterium
-		ct_div_ci 0.0
-	
-		maxCostRatio 0.9
-		
-		# axis aligned splits
-		AxisAligned {
-			minPolys 5000
-			minRays 500
-			minObjects 10
-			ct_div_ci 0.5
-		}
-	}
-	
-	AxisAligned {
-		splitBorder 0.01
-	}
-	
-	
-	Visualization {
-		# x3d visualization of the split planes
-		exportSplits false
-	}
-}
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_cropped.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/vienna_cropped.sh	(revision 2075)
+++ 	(revision )
@@ -1,208 +1,0 @@
-<<<<<<< .mine
-#!/bin/sh
-
-# add bin to path
-export PATH=../bin:$PATH
-
-#TARGET=debug
-TARGET=release
-
-PROGRAM=../bin/$TARGET/Preprocessor.exe
-
-SCENE=vienna_cropped_gi
-LOG_PREFIX=../scripts/tests/gi/$SCENE-35MB
-ENVIRONMENT=$SCENE.env
-
-echo "starting $TARGET mode for $SCENE scene"
-
-############################################################################
-
- METHOD=gradient-full
- echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-#######################################################
-
-NODES=50000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-
-#######################################################
-
-NODES=10000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-#######################################################
-
- METHOD=gradient-full-corr
- echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_min_avg_raycontri=0.01 \
-  -hierarchy_construction_max_avg_raycontri=0.5 \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-=======
-#!/bin/sh
-
-# add bin to path
-export PATH=../bin:$PATH
-
-#TARGET=debug
-TARGET=release
-
-PROGRAM=../bin/$TARGET/Preprocessor.exe
-
-SCENE=vienna_cropped_gi
-LOG_PREFIX=../scripts/tests/gi/$SCENE-35MB
-ENVIRONMENT=$SCENE.env
-
-echo "starting $TARGET mode for $SCENE scene"
-
-############################################################################
-
- METHOD=gradient-full
- echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-#######################################################
-
-NODES=10000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-#######################################################
-
- METHOD=gradient-full-corr
- echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_min_avg_raycontri=0.01 \
-  -hierarchy_construction_max_avg_raycontri=0.5 \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-#######################################################
-
-NODES=50000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-
-#######################################################>>>>>>> .r2034