Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh	(revision 2530)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.sh	(revision 2535)
@@ -8,38 +8,40 @@
 
 PROGRAM=../bin/$TARGET/Preprocessor.exe
+#PROGRAM=../bin/$TARGET/Preprocessor_itl.exe
+
+EXT=obj
 
 SCENE=vienna_cropped
+SCENE_PATH=../data/vienna
+
+ENVIRONMENT=generate_viewcells.env
 LOG_PREFIX=../scripts/$SCENE
-ENVIRONMENT=generate_viewcells.env
 
-echo "starting $TARGET mode for $SCENE scene"
+echo "starting $TARGET mode for $SCENE scene ($PROGRAM)"
 
-############################################################################
+SCENE_FILENAME=$SCENE_PATH/$SCENE.$EXT
 
-#  METHOD=interleaved
-#  echo "$SCENE $METHOD"
+OBJ_WEIGHT=20
 
-#  $PROGRAM $ENVIRONMENT \
-#  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-#   -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-#   -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-#   -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-#   -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-#   -hierarchy_construction_type=2 \
-#   -hierarchy_construction_consider_memory=true
+#######################################################
 
-############################################################################
+METHOD=seq
 
-  echo "$SCENE $METHOD"
+# the # of bvh nodes
+NODES=3000
 
-  $PROGRAM $ENVIRONMENT \
-  -view_cells_filename=$LOG_PREFIX-viewcells.xml.gz \
-   -view_cells_merge_stats=$LOG_PREFIX-mergeStats.log \
-   -vsp_subdivision_stats=$LOG_PREFIX-vsp-subdivisionStats.log \
-   -bvh_subdivision_stats=$LOG_PREFIX-bvh-subdivisionStats.log \
-   -hierarchy_subdivision_stats=$LOG_PREFIX-hierarchy-subdivisionStats.log \
-   -hierarchy_construction_type=0 \
-   -hierarchy_construction_consider_memory=false
+ 
+echo "$SCENE $METHOD"
+$PROGRAM $ENVIRONMENT \
+ -scene_filename=$SCENE_FILENAME \
+ -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
+ -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
+ -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
+ -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
+ -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
+ -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
+ -hierarchy_construction_type=0 \
+ -vsp_use_cost_heuristics=false \
+ -bvh_term_max_leaves=$NODES
 
-#   -bvh_term_max_leaves=10000 \
-#   -hierarchy_term_max_leaves=20000 
+sh movefiles.sh $LOG_PREFIX-$METHOD
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.sh	(revision 2381)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.sh	(revision 2535)
@@ -12,18 +12,9 @@
 EXT=obj
 
-#SCENE=vienna_cropped
-#SCENE_PATH=../data/vienna
-
 SCENE=arena-high-lods
 SCENE_PATH=../data/Arena
 
-#SCENE=PompeiiOne
-#SCENE_PATH=../data/pompeii
-
-#SCENE=soda
-#SCENE_PATH=../data/soda
-
-ENVIRONMENT=gi_final.env
-LOG_PREFIX=../scripts/tests/gi/$SCENE
+ENVIRONMENT=generate_viewcells.env
+LOG_PREFIX=../scripts/$SCENE
 
 echo "starting $TARGET mode for $SCENE scene ($PROGRAM)"
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.env	(revision 2073)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.env	(revision 2535)
@@ -1,3 +1,3 @@
-##############################################################################
+###############################################################################
 # ERS default configuration file
 # Jiri Bittner 2003
@@ -7,22 +7,24 @@
 
 	filename ../data/vienna/vienna_cropped.obj
+#	filename ../data/soda/soda.dat
 #	filename ../data/soda/soda5.dat
+#	filename ../data/artificial/cube_test.x3d
+#	filename ../data/CityModel.obj
+#	filename ../data/arena/arena-low-lods.obj
 }
 
 
 Preprocessor {
-	samplesPerPass 3000000
-	useGlRenderer false
+	samplesPerPass 500000
 	type vss
 	detectEmptyViewSpace true
 	loadMeshes false
+	
 	# internal raycaster
-	rayCastMethod 0
+	rayCastMethod 0  
 	# intel raycaster
 	#rayCastMethod 1
+	
 	exportVisibility false
-	loadKdTree false
-	exportKdTree false 
-#	exportObj true
 	applyVisibilityFilter false
 	applyVisibilitySpatialFilter false
@@ -30,13 +32,28 @@
 
 
-VssPreprocessor {
+RssPreprocessor {
+	distributions mutation+spatial+object_direction
+	#distributions spatial
+
+
 	useImportanceSampling true
-	loadInitialSamples  false
+
+	Export {
+		pvs false
+		rssTree false
+	}
+
+	useViewcells true
+	updateSubdivision true
+	loadInitialSamples false
 	storeInitialSamples false
-}
+
+	useRssTree true
+}
+
 
 
 VssTree {
-	useRss    false
+	useRss    	false
 	epsilon		1e-6
 	
@@ -111,6 +128,5 @@
 ViewCells {
 	
-	# samples used for view cell construction 
-	# (after the sampling used for the hierarchy)
+	# samples used for view cell construction in the merge step
 	Construction {
 		samples 0
@@ -119,5 +135,5 @@
 
 	# number of active view cells
-	active 50000
+	active 25000
 	maxStaticMemory	40
 
@@ -125,7 +141,5 @@
 	loadFromFile false
 
-	filename vienna_cropped-viewcells.xml.gz
-
-	exportPvs false
+	#exportPvs true
 
 	# type of view cells
@@ -137,9 +151,5 @@
 	processOnlyValidViewCells false
 
-	#samplingType object_directional
-	#samplingType directional
 	samplingType box
-	#samplingType reverse_object
-	#samplingType object
 
 	PostProcess {
@@ -149,5 +159,5 @@
 		useRaysForMerge false
 		refine false
-		compress false
+		compress true
 		merge false
 	}
@@ -155,5 +165,5 @@
 	Visualization {
 		# how much samples we use for visualization
-		samples 200
+		samples 0
 		exportRays true
 		exportGeometry true
@@ -162,22 +172,24 @@
 		clipPlaneAxis 1
 		clipPlanePos 0.3
-		maxOutput 2
-	}
-
-	#showVisualization true
-	showVisualization false
+		maxOutput 0
+	}
+
+	showVisualization true
+	#showVisualization false
 	evaluateViewCells false
+	
 	
 	Evaluation {
 		samples         80000000
-		samplesForStats 80000000
-		samplesPerPass  2000000
-
-		stepSize	500
-
-		#samplingType object_directional
-		#samplingType reverse_object
-		#samplingType object
+		samplesForStats 40000000
+
+		samplesPerPass  500000
+		stepSize	200
+
 		samplingType box
+
+		histogram true
+		histoStepSize 200
+		histoMem 60
 
 		statsPrefix ../scripts/viewCells
@@ -193,21 +205,21 @@
 VspTree {
 	Construction {
-		renderCostDecreaseWeight 1.0
+		renderCostDecreaseWeight 0.999
 	}
 
 	Termination {
 		minPvs 0
-		maxViewCells 5000
-	}
-
-	useCostHeuristics true
+		maxViewCells 500000
+	}
+
+	useCostHeuristics false
 	splitUseOnlyDrivingAxis false
 
 	# maximum number of tests per node
-	maxTests 50000
-}
-
-
-##########################
+	maxTests 500000
+}
+
+
+
 #
 # The bounding volume hierarchy
@@ -217,20 +229,20 @@
 
 	Construction {		
-		renderCostDecreaseWeight 1.0
-	}
-
-	Termination {
-		maxLeaves 50000
-	}
-
-	minRaysForVisibility 15
-
-	# use only surface area heuristic	
-	useCostHeuristics true
+		renderCostDecreaseWeight 0.999
+	}
+
+	Termination {
+		maxLeaves 3000
+	}
+
+	minRaysForVisibility 3
+	#minRaysForVisibility 15
+
+	useCostHeuristics false
 	useSah false
 
 	splitUseOnlyDrivingAxis false
 
-	maxTests 50000
+	maxTests 500000
 }
 
@@ -247,26 +259,30 @@
 	Construction {
 
-		samples 1500000
+		samples 1000000
 
 		# type 0 = sequential computation, 1 = interleaved, 2 = gradient
-		type 0
+		type 2
 
 		###############################
 		# only for interleaved method
 
-		# minimal steps of same type for gradient method
+		# if dirty split candidates are reevaluated 
+		repairQueue true
+
+		###################################################
+
+		# minimal steps of same type: for interleaved, this is only valid for the first few splits
 		minStepsOfSameType 100
-		# maximum steps of same type for gradient method
 		maxStepsOfSameType 900
 
-		# maximum number of repair steps per gradient step
-		maxRepairs 1000
+		maxRepairs 2000
 	}
 
 	Termination {
 		# maximal number of leaves
-		maxLeaves 3000000
+		maxLeaves 60000
 		# maximal memory in MB
-		maxMemory 100
+#		maxMemory 4
+		maxMemory 35
 		# minimum ratio of global cost decrease
 		minGlobalCostRatio -1
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.env	(revision 2394)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/gi_final.env	(revision 2535)
@@ -177,6 +177,6 @@
 	showVisualization true
 	#showVisualization false
-	#evaluateViewCells false
-	evaluateViewCells true
+	evaluateViewCells false
+	
 	
 	Evaluation {